Workspace groups
List cron schedules
Retrieve all configured cron schedules for a group of workspaces. Returns an array of schedule objects containing cron expression, timezone, type, intermediate device information, and audit metadata. If the workspace group has no schedules, an empty array is returned.
GET
/
v1
/
organizations
/
{organization_id}
/
workspace-groups
/
{workspace_group_id}
/
schedules
List cron schedules
curl --request GET \
--url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "507f1f77bcf86cd799439060",
"cron_expression": "0 8 * * 1-5",
"time_zone": "Eastern Standard Time",
"intermediate_device": "507f1f77bcf86cd799439050",
"created_by": "507f1f77bcf86cd799439070"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the organization
Maximum string length:
24Pattern:
^[0-9a-f]{24}$The unique identifier of the workspace group
Maximum string length:
24Pattern:
^[0-9a-f]{24}$Response
Schedule list successfully retrieved. Returns an array of schedule objects. Empty array if no schedules exist.
Array of cron schedules for the workspace group
Show child attributes
Show child attributes
⌘I
List cron schedules
